// $Id: Client.java,v 1.3 2000/03/24 14:42:16 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.crier;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.Iterator;
import org.mitre.simp.util.*;
import org.mitre.simp.client.model.*;
import org.mitre.simp.client.released.MessageAppend;
import org.mitre.simp.client.distributor.Logger;
import org.mitre.simp.launcher.Status;

/**
 * SIMP Crier for distributing news.
 * This is a very simple example of a client.
 * It is a good starting place for learning about clients.
 * @author John D. Ramsdell
 * @version March 2000 
 */
public class Client
    implements ConnectionListener
{
    private final static String news 
	= "Please update your SIMP launcher to version 0.6.";
    private final static boolean showDate = false;
    private final MessageAppend transcript = new MessageAppend();
    private final Status status = new Status();
    private final Logger logger = new Logger(transcript, showDate);
    private final ClientModel cm;

    /**
     * Creates a SIMP Crier.
     */
    public Client(ClientModel cm, String font) {
	this.cm = cm;
	if (font != null)
	    transcript.setFont(Font.decode(font));

	IMA me = cm.getMe();
	cm.addLogListener(logger);
	cm.addConnectionListener(this);

	JFrame frame = new JFrame("SIMP Crier for " + me);
	frame.addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent e) {
		    exit();
		}
	    });
	frame.setJMenuBar(createMenuBar());
	JPanel panel = new JPanel(new BorderLayout());
	JScrollPane scroller
	    = new JScrollPane(ScrollPaneConstants.VERTICAL_SCROLLBAR_ALWAYS,
			      ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
	JViewport port = scroller.getViewport();
	port.add(transcript);
	panel.add(scroller);
	panel.add(status, BorderLayout.SOUTH);
	status.showStatus("Ready");
	frame.getContentPane().add(panel);
	frame.setSize(600, 400);
	frame.setVisible(true);

	transcript.addLines(new String[] { news,
					   "",
					   "The client error log follows.",
	});
    }

    public void connectionEstablished(ConnectionEvent e) { 
	status.showStatus("Connection established");
    }

    public void connectionClosed(ConnectionEvent e) { 
	status.showStatus("Connection closed");
    }

    private void exit() {
	cm.logout();
	System.exit(0);
    }

    private JMenuBar createMenuBar() {
	JMenuBar mb = new JMenuBar();
	JMenu file = new JMenu("File");
	file.setMnemonic('F');

	mb.add(file);

	JMenuItem mi = new JMenuItem("Exit", 'x');
	mi.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent e) {
		    exit();
		}
	    });
	file.add(mi);
	return mb;
    }
}

