// $Id: Roster.java,v 1.1 2000/03/13 15:37:01 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.distributor;

import java.util.TreeSet;
import java.util.Set;
import java.util.Iterator;
import org.mitre.simp.util.IMA;

/**
 * Implements a sorted set of IMAs.
 * The iterator enumerates the elements in order.
 * @see TreeSet
 * @author John D. Ramsdell
 * @version March 2000 
 */
public class Roster
{
    private Set set = new TreeSet();

    /**
     * @see Set#add
     */
    public boolean add(IMA place) {
	return set.add(place);
    }

    /**
     * @see Set#remove
     */
    public boolean remove(IMA place) {
	return set.remove(place);
    }

    /**
     * @see Set#contains
     */
    public boolean contains(IMA place) {
	return set.contains(place);
    }

    /**
     * @see Set#iterator
     */
    public Iterator iterator() {
	return set.iterator();
    }

    /**
     * @see Set#toArray
     */
    public IMA[] toArray() {
	return (IMA[])set.toArray(new IMA[set.size()]);
    }

    /**
     * @see Set#size
     */
    public int size() {
	return set.size();
    }

    /**
     * @see Set#isEmpty
     */
    public boolean isEmpty() {
	return set.isEmpty();
    }
}
