// $Id: Answer.java,v 1.4 2000/03/08 15:31:20 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * The model returns answers to requests made of the server via
 * instances of this class.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class Answer
{  
    private final boolean error;
    private final String message;

    Answer(boolean error, String message) {
	this.error = error;
	this.message = message;
    }

    /**
     * Did the request result in an error?
     */
    public boolean isError() {
	return error;
    }

    /**
     * Returns the message associated with the reply.
     */
    public String getMessage() {
	return message;
    }
}
