// $Id: BuddyListAdapter.java,v 1.1 2000/03/23 20:29:05 gwilliam Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * An adapter for receiving buddy list and group events;
 * @author John D. Ramsdell
 * @author Galen B. Williamson
 * @version March 2000
 */
public class BuddyListAdapter
    implements BuddyListListener
{
    /**
     * Invoked when a group has been added to the buddy list.
     */
    public void groupAdded(BuddyListEvent e) { }

    /**
     * Invoked when a group has been removed from the buddy list.
     */
    public void groupRemoved(BuddyListEvent e) { }

    /**
     * Invoked when a group has been renamed.
     */
    public void groupRenamed(GroupRenameEvent e) { }

    /**
     * Invoked when a buddy has been added to a group.
     */
    public void buddyAdded(GroupEvent e) { }

    /**
     * Invoked when a buddy has been removed from a group.
     */
    public void buddyRemoved(GroupEvent e) { }
}

