// $Id: ConnectionListener.java,v 1.2 2000/03/10 20:37:01 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * The listener interface for receiving connection events. 
 * @author John D. Ramsdell
 * @version February 2000
 */
public interface ConnectionListener
    extends java.util.EventListener 
{
    /**
     * Invoked when the connection to the server has been established
     * and the client has been initialized.
     */
    public void connectionEstablished(ConnectionEvent e);

    /**
     * Invoked when the connection to the server has closed.
     */
    public void connectionClosed(ConnectionEvent e);
}
