// $Id: GroupEvent.java,v 1.2 2000/03/08 15:31:21 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

import org.mitre.simp.util.IMA;

/**
 * Used to notify that a group within a buddy list changed.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class GroupEvent 
    extends java.util.EventObject 
{
    private final IMA buddy;
    private final String group;

    GroupEvent(Object source, IMA buddy, String group) {
	super(source);
	this.buddy = buddy;
	this.group = group;
    }

    /**
     * Returns the buddy associated with this event.
     */
    public IMA getBuddy() {
	return buddy;
    }

    /**
     * Returns the group associated with this event.
     */
    public String getGroup() {
	return group;
    }
}
