// $Id: GroupList.java,v 1.4 2000/04/13 15:59:36 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

import java.util.*;
import java.net.*;
import java.io.IOException;
import org.mitre.simp.util.*;

/**
 * Constains the set of buddies associated with one group.
 * @author John D. Ramsdell
 * @version February 2000
 */
final class GroupList
{
    private final String group;
    private final HashSet set;

    GroupList(String group) {
	this.group = group;
	set = new HashSet();
    }

    private GroupList(String group, HashSet set) {
	this.group = group;
	this.set = (HashSet)set.clone();
    }

    public Object clone() {
	return new GroupList(group, set);
    }

    String getGroup() {
	return group;
    }

    IMA[] getMembers() {
	IMA[] l = new IMA[set.size()];
	return (IMA[])set.toArray(l);
    }

    boolean isMember(IMA member) {
	return set.contains(member);
    }

    void add(IMA member) {
	set.add(member);
    }

    void remove(IMA member) {
	set.remove(member);
    }
}
