// $Id: GroupRenameEvent.java,v 1.1 2000/03/22 18:02:26 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * Used to notify that a group has been renamed.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class GroupRenameEvent 
    extends java.util.EventObject 
{
    private final String group;
    private final String old;

    GroupRenameEvent(Object source, String group, String old) {
	super(source);
	this.group = group;
	this.old = old;
    }

    /**
     * Returns the group associated with this event.
     */
    public String getGroup() {
	return group;
    }

    /**
     * Returns the previous name of the group.
     */
    public String getOldGroup() {
	return old;
    }
}
