// $Id: InfoAnswer.java,v 1.8 2000/03/08 15:31:21 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * Used to return presence information in an answer.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class InfoAnswer
    extends Answer
{  
    private final Info info;

    /**
     * Creates an error answer.
     */
    InfoAnswer(String message) {
	super(true, message);
	info = null;
    }

    /**
     * Creates a non-error answer with some info.
     */
    InfoAnswer(Info info) {
	super(false, info.getMessage());
	this.info = info;
    }

    /**
     * Returns the presence info in this answer.
     */
    public Info getInfo() {
	return info;
    }
}
