// $Id: Lease.java,v 1.3 2000/03/10 12:07:02 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

import org.mitre.simp.util.IMA;

/**
 * Constains the information associated with a subscription.
 * @author John D. Ramsdell
 * @version February 2000
 */
final class Lease
{
    private final String opaque;
    private final long done;
    
    Lease(String opaque, long duration) {
	this.opaque = opaque;
	done = duration + System.currentTimeMillis();
    }

    String getOpaque() {
	return opaque;
    }

    /**
     * Returns the time at which the lease expires.
     */
    long getDone() {
	return done;
    }
}
