// $Id: SimpListener.java,v 1.2 2000/03/10 15:30:57 gwilliam Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * The listener interface for receiving SIMP events. 
 * @version February 2000
 * @author John D. Ramsdell
 */
public interface SimpListener
    extends java.util.EventListener 
{
    /**
     * Invoked when an instant message has been received.
     */
    public void messageReceived(MessageEvent e);

    /**
     * Invoked when any kind of presence information has been received.
     */
    public void infoReceived(InfoEvent e);

    /**
     * Invoked when a new subscription to another user's
     * presence information has been leased.
     */
    public void subscriptionLeased(LeaseEvent e);

    /**
     * Invoked when the presence information of a user changes.  The
     * event is only generated when this client holds a subscription to
     * the user's presence information.
     */
    public void buddyInfoChanged(BuddyInfoEvent e);

    /**
     * Invoked when a subscription to another user's
     * presence information has lapsed.
     */
    public void subscriptionLapsed(LeaseEvent e);

    /**
     * Invoked when another user acquires a new subscription
     * to the presence information of the user of this client.
     */
    public void subscribed(SubscriberEvent e);

    /**
     * Invoked when another user loses their subscription
     * to the presence information of the user of this client.
     */
    public void unsubscribed(SubscriberEvent e);
}
