// $Id: BuddyListAction.java,v 1.2 2000/04/14 17:04:47 gwilliam Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.released;

import org.mitre.simp.client.model.*;

class BuddyListAction 
    implements AnswerClosure
{
    private Object lock = new Object();
    private volatile Answer answer = null;

    public Runnable invoke(final Answer ans) {
	return new Runnable() {
		public void run() {
		    synchronized(lock) {
			answer = ans;
			lock.notifyAll();
		    }
		}
	    };
    }
    
    Answer performBuddyListRequest(Runnable request) {
	Answer result = null;
	synchronized(lock) {
	    while (answer != null) {
		try {
		    lock.wait();
		} catch (InterruptedException ie0) { }
	    }
	    request.run();
	    while (answer == null) {
		try {
		    lock.wait();
		} catch (InterruptedException ie1) { }
	    }
	    result = answer;
	    answer = null;
	}
	return result;
    }
}
	       
