// $Id: BuddyNode.java,v 1.7 2000/03/24 19:52:18 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.released;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.tree.*;
import java.io.IOException;
import java.util.*;
import java.net.*;
import org.mitre.simp.util.*;

import org.mitre.simp.client.model.ClientModel;
import org.mitre.simp.client.model.Info;

class BuddyNode
    extends BuddyTreeNode
    implements Comparable
{
    private final ClientModel cm;
    private IMA buddy;
    BuddyNode(IMA buddy, ClientModel cm) {
	super(buddy.toString(), buddy, false);
	this.cm = cm;
	this.buddy = buddy;
    }
    public boolean isOnline() { 
	Info info = cm.getInfo(getBuddy());
	return info != null && info.isOnline();
    }
    public String getToolTipText() { 
	Info info = cm.getInfo(getBuddy());
	if (info == null) return null;
	StringBuffer sb = new StringBuffer();
	sb.append("Address: ");
	sb.append(info.getRegarding());
	sb.append(", Description: ");
	String message = info.getMessage();
	if (message != null) {
	    sb.append(message);
	}
	else {
	    sb.append("<no description>");
	}
	sb.append(", Status: ");
	String status = info.getStatus();
	if (status != null) {
	    sb.append(status);
	}
	else {
	    sb.append("unknown");
	}
	DateTime online = info.getOnline();
	if (online != null && info.isOnline() && online.getTime() >= 0) {
	    sb.append(", Since ").append(online.getFormattedDate());
	}
	return sb.toString();
    }
    public IMA getBuddy() { return buddy; }
    public void setBuddy(IMA b) { setUserObject(b); }
    public void setUserObject(Object o) {
	if (o instanceof IMA) {
	    buddy = (IMA) o;
	    super.setUserObject(buddy);
	    return;
	}
	else if (o instanceof String) {
	    super.setUserObject(o);
	    return;
	}
	throw new IllegalArgumentException("Not an IMA:" + o);
    }
    public BuddyGroupNode getGroupNode() { 
	return (BuddyGroupNode)getParent(); 
    }

    public int compareTo(Object other) {
	IMA me = getBuddy();
	IMA you = ((BuddyNode)other).getBuddy();
	return me.compareTo(you);
    }

}
