// $Id: LocalResourcer.java,v 1.3 2000/03/24 19:52:18 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.released;

import java.net.URL;

/*
 * Takes a resourcer and adds a local prefix.
 */
class LocalResourcer
    extends Resourcer
{
    protected String prefix;
    private Resourcer parent;

    public LocalResourcer(String prefix, Resourcer parent) 
    {
	this.prefix = prefix;
	this.parent = parent;
    }

    /**
     * Get a URL from a ResourceBundle.
     * @param nm name of key
     * @return resource as a URL or null on error
     */
    public URL getResourceURL(String nm) {
	return parent.getResourceURL(prefix + nm);
    }

    /**
     * Get a string from a ResourceBundle.
     * @param nm name of key
     * @return resource as a string or null on error
     */
    public String getResourceString(String nm) {
	return parent.getResourceString(prefix + nm);
    }

    /**
     * Get a string as an array of tokens from a ResourceBundle.
     * @param nm name of key
     * @return resource as a string or null on error
     */
    public String[] getResourceTokenized(String nm) {
	return parent.getResourceTokenized(prefix + nm);
    }

    /**
     * Get a string as an array of tokens from a ResourceBundle.
     * @param nm name of key
     * @param delim delimiter string to pass on to <code>StringTokenizer</code>
     * @return resource as a string or null on error
     */
    public String[] getResourceTokenized(String nm, String delim) {
	return parent.getResourceTokenized(prefix + nm, delim);
    }

    /**
     * Get a string as an array of integers from a ResourceBundle.
     * Uses <code>", \t\r\n"</code> as the delimiter string for
     * <code>StringTokenizer</code> 
     * @param nm name of key
     * @return resource as an array of integers or null on error
     */
    public int[] getResourceIntArray(String nm) {
	return parent.getResourceIntArray(prefix + nm);
    }

    /**
     * Get a string as an array of integers from a ResourceBundle.
     * @param nm name of key
     * @param delim delimiter string to pass on to
     * <code>StringTokenizer</code> 
     * @return resource as an array of integers or null on error
     */
    public int[] getResourceIntArray(String nm, String delim) {
	return parent.getResourceIntArray(prefix + nm, delim);
    }

    /**
     * Get an integer from a ResourceBundle.
     * @param nm name of key
     * @param defaultValue value on error
     * @return resource as an integer or default value on error
     */
    public int getResourceInt(String nm, int defaultValue) {
	return parent.getResourceInt(prefix + nm, defaultValue);
    }


    /**
     * Get a boolean from a ResourceBundle.
     * @param nm name of key
     * @return resource as a boolean or the false value on error
     */
    public boolean getResourceBoolean(String nm) {
	return parent.getResourceBoolean(prefix + nm);
    }

}
