// $Id: Login.java,v 1.9 2000/03/13 15:37:02 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.released;

import org.mitre.simp.launcher.LoginResult;
import org.mitre.simp.client.model.ClientModel;
import org.mitre.simp.client.model.ClientStart;
import org.mitre.simp.client.model.ClientFactory;

/**
 * Login for the Simple Instant Messaging and Presence client.
 * All clients should start with a copy of this code.
 * @author John D. Ramsdell
 * @version February 2000 
 */
public class Login
    implements org.mitre.simp.launcher.Client
{
    private String user;
    private char[] password;
    private String host;
    private String font;
    private LoginResult result;

    /**
     * Initialize the login object.
     */
    public void init(String user, char[] password, String host, 
		     String font, LoginResult result) {
	this.user = user;
	this.password = password;
	this.host = host;
	this.font = font;
	this.result = result;
    }

    /**
     * Runs the client in this package.
     * @see Client
     */
    public void run() {
	final String f = font;
	ClientFactory cf = new ClientFactory() {
		public void makeClient(ClientModel cm) {
		    new Client(cm, f);
		}
	    };    
	ClientStart.login(user, password, host, result, cf);	    
    }

    /**
     * This does nothing.
     */
    public void destroy() {
    }
}

