// $Id: SwitchableAction.java,v 1.6 2000/03/16 15:01:31 gwilliam Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.released;

import javax.swing.AbstractAction;
import java.util.Vector;

abstract class SwitchableAction extends AbstractAction {
    SwitchableAction(String name) {
	super(name);
	state = false;
    }
    protected boolean state;
    private Vector switches = new Vector();
    public synchronized void add(Switchable b) {
	switches.add(b);
    }
    public synchronized void remove(Switchable b) {
	switches.remove(b);
    }
    protected void toggleState() {
	Vector switches;
	synchronized(this) {
	    switches = (Vector)this.switches.clone();
	}
	for (int i = 0; i < switches.size(); i++)
	    ((Switchable)switches.elementAt(i)).toggleState();
    }
    protected void setState(boolean state) {
	this.state = state;
	Vector switches;
	synchronized(this) {
	    switches = (Vector)this.switches.clone();
	}
	for (int i = 0; i < switches.size(); i++)
	    ((Switchable)switches.elementAt(i)).setState(state);
    }
    public void setEnabled(boolean enabled) {
	Vector switches;
	synchronized(this) {
	    switches = (Vector)this.switches.clone();
	}
	for (int i = 0; i < switches.size(); i++)
	    ((Switchable)switches.elementAt(i)).setEnabled(enabled);
    }
    protected boolean getState() { return state; }
    protected void setState() { }
}

