// $Id: Client.java,v 1.1 2000/03/13 11:21:30 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.launcher;

/**
 * Interface to be implemented by all clients launched by the SIMP
 * Launcher.  In addition, the class must contain a public constructor
 * that requires no arguments.
 * @author John D. Ramsdell
 * @version February 2000 */
public interface Client
    extends Runnable
{
    /**
     * Initialize the client before it is run.
     */
    public void init(String user, char[] password, String host, 
		     String font, LoginResult result);

    /**
     * Someday, this might be used to implement clean up, 
     * but it is ignored presently. 
     */
    public void destroy();
}
