package org.mitre.simp.launcher;

import java.awt.GridBagConstraints;
import java.awt.Insets;
import javax.swing.JLabel;
import javax.swing.JComponent;

public class GridBagUtil {

    private JComponent parent;
    private int pad;

    public GridBagUtil(JComponent parent, int pad) {
	this.parent = parent;
	this.pad = pad;
    }


    public void addLeftComponent(JComponent comp, int gridy) {
	addLeftComponent(parent, comp, gridy, pad);
    }
    
    public static void addLeftComponent(JComponent parent, JComponent comp, int gridy, int pad) {
	GridBagConstraints gbc = new GridBagConstraints();
	gbc.gridx = 0;
	gbc.gridy = gridy;
	gbc.gridy = gridy;
	gbc.weightx = 1.0;
	gbc.weighty = 1.0;
	gbc.gridwidth = GridBagConstraints.REMAINDER;
	gbc.gridheight = 1;
	gbc.insets = new Insets(pad, pad, pad, pad);
	gbc.fill = GridBagConstraints.BOTH;
	gbc.anchor = GridBagConstraints.EAST;
	parent.add(comp, gbc);
    }

    public void addRightComponent(JComponent comp, int gridy) {
	addRightComponent(parent,comp,gridy,pad);
    }

    public static void addRightComponent(JComponent parent, JComponent comp, int gridy, int pad) {
	GridBagConstraints gbc = new GridBagConstraints();
	gbc.gridx = 1;
	gbc.gridy = gridy;
	gbc.weightx = 1.0;
	gbc.weighty = 1.0;
	gbc.gridwidth = GridBagConstraints.REMAINDER;
	gbc.gridheight = 1;
	gbc.insets = new Insets(pad, pad, pad, pad);
	gbc.fill = GridBagConstraints.BOTH;
	gbc.anchor = GridBagConstraints.WEST;
	parent.add(comp, gbc);
    }

    public JLabel addLabel(String label, int gridy) {
	return addLabel(parent, label, gridy, pad);
    }
    public static JLabel addLabel(JComponent parent, String label, int gridy, int pad) {
	JLabel l = new JLabel(label, JLabel.RIGHT);
	GridBagConstraints gbc = new GridBagConstraints();
	gbc.gridx = 0;
	gbc.gridy = gridy;
	gbc.gridwidth = 1;
	gbc.gridheight = 1;
	gbc.weighty = 1.0;
	gbc.fill = GridBagConstraints.VERTICAL;
	gbc.insets = new Insets(pad, pad, pad, pad);
	gbc.anchor = GridBagConstraints.EAST;
	parent.add(l, gbc);
	return l;
    }

    public void addStatus(Status status, int gridy) {
	addStatus(parent, status, gridy, pad);
    }
    
    public static void addStatus(JComponent parent, Status status, int gridy, int pad) {
	GridBagConstraints gbc = new GridBagConstraints();
	gbc.gridx = 0;
	gbc.gridy = gridy;
	gbc.weightx = 1.0;
	gbc.weighty = 1.0;
	gbc.gridwidth = GridBagConstraints.REMAINDER;
	gbc.gridheight = 1;
	gbc.fill = GridBagConstraints.BOTH;
	gbc.anchor = GridBagConstraints.EAST;
	parent.add(status, gbc);
    }

}

 
