// $Id: LoginEvent.java,v 1.1 2000/03/13 11:21:31 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.launcher;

/**
 * The login event.
 * @see LoginListener
 *
 * @version October 1997
 * @author John D. Ramsdell
 */
public class LoginEvent 
    extends java.util.EventObject
{
    private final String user;
    private final char[] password;
    private final String host;

    /**
     * Constructs a LoginEvent object with the specified source object
     * and a the login parameters.
     * @param source the object where the event originated
     * @param user the user name
     * @param password the password
     */
    public LoginEvent(Object source, String user,
		      char[] password, String host) {
	super(source);
	this.user = user;
	this.password = password;
	this.host = host;
    }

    /**
     * Gets the user name associated with this event.
     */
    public String getUser() {
	return user;
    }

    /**
     * Gets the password associated with this event.
     */
    public char[] getPassword() {
	return password;
    }

    public String getHost() {
	return host;
    }
}
