// $Id: SimpFrame.java,v 1.1 2000/03/13 11:21:32 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.launcher;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * Frame for a Simp Login Client.
 * @version March 1997
 * @author John D. Ramsdell
 * @author Sasha Porto Caskey
 */ 

class SimpFrame
extends JFrame
{
    LoginPanel lp=null;
    private SimpProperties props;

    SimpFrame(String title, SimpProperties props) {
	super(title);

	this.props = props;

	this.lp = new LoginPanel(this, props);
	getContentPane().add(lp);

	PropEd pe = new PropEd(this, props);
	setJMenuBar(createMenuBar(pe));

	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent e) {
		    exit();
		}
	    });
    }
    
    /**
     * Retrieve the LoginPanel used.
     * @return The LoginPanel used in this dialog
     */
    public LoginPanel getLoginPanel() {
	return lp;
    }

    void exit() {
	lp.saveProperties();
	System.exit(0);
    }

    void close() {
	lp.saveProperties();
	if (!props.getResourceBoolean(SimpLauncher.SIMP_ALLOW_MULTIPLE_LOGINS_KEY))
	    dispose();
    }
    
    void reloadProperties() {
	lp.reloadProperties();
    }

    JMenuBar createMenuBar(final Window c) {
	JMenuBar mb = new JMenuBar();
	JMenu file = new JMenu("File");
	JMenu edit = new JMenu("Edit");
	file.setMnemonic('F');
	edit.setMnemonic('E');

	mb.add(file);
	mb.add(edit);

	JMenuItem mi = new JMenuItem("Preferences...", 'p');
	mi.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent e) {
		    c.pack();	// Is this needed?
		    c.setVisible(true);
		}
	    });
	edit.add(mi);
	mi = new JMenuItem("Exit", 'x');
	mi.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent e) {
		    exit();
		}
	    });
	file.add(mi);
	return mb;
    }
}
