// $Id: Status.java,v 1.1 2000/03/13 11:21:33 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.launcher;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.event.*;

/** 
 * Status object displays a status line.
 */ 
public final class Status
    extends JLabel
{
    private final static int PAD = 2;
    
    public Status() {
	super();
	Border inner = BorderFactory.createEmptyBorder(PAD, PAD, PAD, PAD);
	Border outer = BorderFactory.createBevelBorder(BevelBorder.LOWERED);
	setBorder(BorderFactory.createCompoundBorder(outer, inner));
    }

    /**
     * Display a message in the status line.
     * @param msg - the message for display
     */
    public void showStatus(final String msg) {
	if (SwingUtilities.isEventDispatchThread()) {
	    reallyShowStatus(msg);
	}
	else {
	    SwingUtilities.invokeLater(new Runnable() {
		    public void run() {
			reallyShowStatus(msg);
		    }
		});
	}
    }

    private void reallyShowStatus(String msg) {
	setText(" " + msg);
    }
}
