// $Id: Cookie.java,v 1.4 2000/02/28 22:25:36 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.server;

/**
 * Stores information used during the login process.
 * @author John D. Ramsdell
 * @version February 2000 
 */
final class Cookie
{
    private final String user;
    private final String auth;
    private final long date = System.currentTimeMillis();

    Cookie(String user, String auth) {
	this.user = user;
	this.auth = auth;
    }

    String getUser() {
	return user;
    }
    
    String getAuth() {
	return auth;
    }

    long getDate() {
	return date;
    }
}
