// $Id: CookieTable.java,v 1.3 2000/02/29 17:56:05 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.server;

import java.util.Hashtable;

/**
 * Maps opaque strings to cookies.
 * Currently, there is no mechanism for removing stale cookies that 
 * result from an interrupted login attempt (a rare event).
 * @author John D. Ramsdell
 * @version February 2000 
 */
final class CookieTable
{
    private final Hashtable ht = new Hashtable();

    Cookie put(String key, Cookie value) {
	return (Cookie)ht.put(key, value);
    }

    Cookie remove(String key) {
	return (Cookie)ht.remove(key);
    }
}
