// $Id: XmlService.java,v 1.3 2000/02/28 22:25:37 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.server;

import org.mitre.simp.util.XmlProperties;

/**
 * An XML Service extends this class.
 * @version February 2000
 * @author John D. Ramsdell
 */ 
abstract class XmlService
{
    /**
     * This method is called once after the object has been created.
     */
    void init() { }

    /**
     * An XML Service produces a response when given a request by
     * implementing this method.  The service should return null on
     * error.  
     */
    abstract XmlProperties service(XmlProperties req);

    /**
     * This method is called once after the object's service method is
     * no longer being used.  An XML Service can use this to release
     * resources.
     */
    void destroy() { }
}
