// $Id: DateTime.java,v 1.6 2000/03/03 12:58:13 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.
// Dates and times for message fields

package org.mitre.simp.util;

/** 
 * A date time place holder.
 * Fix this when the format of dates is decided.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class DateTime
{
    private final static long TIME_DELTA = 2500;

    private final long date;

    public DateTime() {
	date = System.currentTimeMillis();
    }

    public DateTime(long date) {
	this.date = date;
    }

    public DateTime(String date) {
	this.date = Long.parseLong(date);
    }

    public long getTime() {
	return date;
    }

    /* This function must be the inverse of the DateTime constructor
       for a string. */
    public String toString() {
	return Long.toString(date);
    }

    public boolean nearlyEquals(DateTime dt) {
	return dt != null 
	    && Math.abs(date - dt.date) < TIME_DELTA;
    }
    
    public String getFormattedDate() {
	return new java.util.Date(date).toString();
    }
}
