// $Id: Emit.java,v 1.3 2000/02/29 20:29:53 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.util;

import java.io.PrintWriter;

/**
 * A utility for emitting text.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class Emit
{
    private Emit() { }		// Make no instances

    /**
     * Emit a sequence of items on successive lines.
     */
    public static void them(PrintWriter out, Object[] line) {
	if (line != null) {
	    for (int i = 0; i < line.length; i++) {
		it(out, line[i]);
		out.println();
	    }
	}
    }

    /**
     * Emit a sequence of text items on a single line.
     * If text is an array, each item is emitted in order.
     */
    public static void it(PrintWriter out, Object text) {
	if (text != null) {
	    if (text instanceof Object[]) {
		Object[] array = (Object[])text;
		for (int i = 0; i < array.length; i++) {
		    it(out, array[i]);
		}
	    }
	    else 
		out.print(text.toString());
	}
    }
}
