// $Id: HostPost.java,v 1.10 2000/04/12 15:16:38 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.util;

import java.io.*;
import java.net.*;

/**
 * Post to a host.  Posts one request and return the reply.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class HostPost
    implements XpListener
{
    /**
     * The standard SIMP router port
     */
    public final static int SIMP_PORT = 7467;

    private final static int SO_TIMEOUT = 5 * 60 * 1000;

    private XmlProperties resp;
    private final XpSocket xps;

    private HostPost(XpSocket xps) 
    {
	this.xps = xps;
    }

    /**
     * Accept the one reply.
     */
    public void xpReceived(XpEvent e) {
	try {
	    resp = e.getXp();
	}
	finally {
	    try {
		xps.close();
	    }
	    catch (IOException iox) { } 
	}
    }
    
    public void closed() { }

    /**
     * Post one request and return the reply.
     */
    public static XmlProperties post(String host, XmlProperties req)
	throws IOException
    {
	Socket socket = new Socket(host, SIMP_PORT);
	socket.setSoTimeout(SO_TIMEOUT);
	XpSocket xps = new XpSocket(socket);
	HostPost hp = new HostPost(xps);
	xps.addXpListener(hp);
	String id = Long.toString(xps.nextSeqNo());
	req.setProperty(SocketPost.REQUEST_KEY, id);
	xps.write(req);
	xps.run();
	XmlProperties resp = hp.resp;
	if (resp == null)
	    throw new IOException("time out during read");
	resp.remove(SocketPost.RESPONSE_KEY);
	return resp;
    }
}
