// $Id: LogEvent.java,v 1.3 2000/02/29 20:29:53 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.util;

/**
 * A log event.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class LogEvent 
    extends java.util.EventObject 
{
    private final String message;
    private final Throwable throwable;

    public LogEvent(Object source, String message, Throwable throwable) {
	super(source);
	this.message = message;
	this.throwable = throwable;
    }

    public LogEvent(Object source, String message) {
	super(source);
	this.message = message;
	throwable = null;
    }

    /**
     * Gets the message associated with this event.
     */
    public String getMessage() {
	return message;
    }

    /**
     * Gets the throwable associated with this event.
     */
    public Throwable getThrowable() {
	return throwable;
    }
}
