// $Id: LogGenerator.java,v 1.1 2000/03/24 13:50:52 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.util;

import java.util.Vector;

/**
 * Generates log events for registered listeners.
 * @author John D. Ramsdell
 * @version March 2000 
 */
public class LogGenerator
{
    private Vector logListeners = new Vector();

    public synchronized void addLogListener(LogListener el) {
	logListeners.add(el);
    }

    public synchronized void removeLogListener(LogListener el) {
	logListeners.remove(el);
    }

    /**
     * Generate a LogEvent for all registered LogListeners.
     * This method calls the two argument 
     * version with a null second argument.
     */
    public void log(String msg) {
	log(msg, null);
    }

    /**
     * Generate a LogEvent for all registered LogListeners.
     */
    public void log(String msg, Throwable t) {
	Vector l;
	LogEvent e = new LogEvent(this, msg, t);
    
	synchronized (this) { l = (Vector)logListeners.clone(); }

	for (int i = 0; i < l.size(); i++) {
	    ((LogListener)l.elementAt(i)).messageGenerated(e);
	}
    }
}  
